
#ifndef _DEV_RULE_H_INCLUDED_
#define _DEV_RULE_H_INCLUDED_

#ifdef _DLL
#ifdef DEVRULE_EXPORTS
#define DEVRULE_API __declspec(dllexport)
#else
#define DEVRULE_API __declspec(dllimport)
#endif
#else
#define DEVRULE_API
#endif // _DLL

#ifdef _cplusplus
extern "C" {
#endif

DEVRULE_API BOOL DisableDevice(LPCTSTR DevInstanceId);

DEVRULE_API BOOL EnableDevice(LPCTSTR DevInstanceId);

DEVRULE_API BOOL IsDeviceExist(LPCTSTR DevInstanceId);

DEVRULE_API BOOL RescanDevices();

#ifdef _cplusplus
}
#endif

#endif // _DEV_RULE_H_INCLUDED_
